<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
    <xsd:include schemaLocation="Viewer.xsd"/>
    <xsd:include schemaLocation="Dependencies.xsd"/>
 
    <xsd:element name="viewerExtension" type="ViewerExtension"/>
    <xsd:complexType name="ViewerExtension">
        <xsd:sequence>
            <xsd:element name="name"                  type="xsd:string"/>
            <xsd:element name="description"           type="xsd:string"/>
            <xsd:element name="registerDefaultViewer" minOccurs="0">
                <!-- empty element -->
                <xsd:complexType/>
            </xsd:element>
            <xsd:element name="registerNewViewer" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
            <xsd:element name="viewer"            type="Viewer"/>
            <xsd:element name="dependencies"      type="Dependencies" minOccurs="0" />
        </xsd:sequence>
    </xsd:complexType>
</xsd:schema>
